Subject: SLS bugfixes: libm, vgaset etc
From: [email-masked] (Peter MacDonald)
Date: Mon, 26 Apr 1993 05:16:32 GMT
Newsgroups: comp.os.linux.announce,comp.os.linux

There were a couple of small problems with the SLS 1.01 update.

	a2/shlib.tgz: fix libm being the wrong version
	x9/vgaset.tgz: a version of vgaset that won't fry fixed freqs
	x9/xtexcad.tgz: simple drawing pkg for tex figures
	a4/sysadm.tgz: fixed a typo of COM2 to COM1
	t3/install.end: was missing

Also, if you wish to install from other than floppies, doinstall is looking
in the directory /install for the directories a2, a3, a4, b1, ...
This is true for all of HD, NFS and CD installs.  Thus a sample download
of SLS might be:

	mkdir /install
	cd /install
	mkdir a2 a3 a4 b1 b2 ... x9 x10
	ftp the.archive.next.door
	bin
	mget */*
	mget *
	bye

This is superior to the "get SLS.tar" download because, if something fails
you don't have to restart from the begining, and you don't need to untar
it at your end afterwards.

For NFS installs, you may need to change your bootdisk ip address.  Currently, 
this means mounting the install disk and editing /etc/hosts and /etc/rc.net.
I have modified doinstall to support changing it and rebooting, but you will
have to wait until 99p9 for that.  Uploading new boot images just for that
is a little much.

To do a Tape install, you will need to remove /dev/nrmt0 and /dev/rmt0.
Then do a 

	mknod /dev/rmt0 c 9 0; 
	mknod /dev/nrmt0 c 9 128

Assuming that you have put the source directories in /install as above,
you may tar them to tape as follows:

	tar -cf /dev/rmt0 /install/*/disk* /install

This allows the descriptions to be untarred first to the HD, so that
install with prompting works with tape installs.

Also be aware that I accidentally left a few security holes in the SLS update.
Specifically: /etc/exports allows rw mount by a couple of my test nodes.
Also, don't forget to check /etc/login.defs: it is allowing root login on ptys.
So if you aren't careful, someone will log on to your node and post a "Ramblings".
Then again, if you listen to the security experts, Unix is just an International
Incident waiting to happen anyways ;-)

Finally, on the issue of upgrading.  I have come to the conclusion that having
the package contain knowledge about doing upgrades is probably unrealistic.
I think a script which can save and restore, just your config files,
is probably the way to go. 

Peter
[email-masked]